/*
===================================================================
	H_BIAS TABLE LOADER		version 1.1
		Copyright (C) Nintendo 1994,1995

	void hb_loader(destn,theta,step);
		short *destn;	: destination data start address
		short theta;	: rot degree
		step;			: next level
===================================================================
*/

extern	short	sin_table[], cos_table[];

void hb_loader(destn,theta,step)
short	*destn, theta, step;
{
	short	k, theta2, rot_s;
	
	for(k = 1; k < 225; k++)	{
		theta2 = (theta * step * k) % 256;
		rot_s = sin_table[theta2]/64;

		*destn++ = rot_s;	/* HOFSTL */
		*destn++ = rot_s;	/* HOFSTR */
	}
}
