/*
===================================================================
	AFFINE TABLE LOADER		version 1.1
		Copyright (C) Nintendo 1994,1995

	void at_loader(destn,theta,rx,ry);
		short *destn;	: destination data start address
		short theta;	: rot degree
===================================================================
*/

extern	short	sin_table[], cos_table[];

void at_loader(destn, theta, rx, ry, mx, my)
short	*destn, theta, rx, ry, mx, my;
{
	short k;
	short rot_s, rot_c, rot_s2, rot_c2, theta2;

	theta2 = (theta+160)%256;
	rot_s = sin_table[theta];
	rot_c = cos_table[theta];
	rot_s2 = sin_table[theta2];
	rot_c2 = cos_table[theta2];

	for(k = 0; k < 224; k++)	{
		*destn++ = (rot_s * k) / 128 + rot_s2 + rx * 10;	/* MX */
		*destn++ = -8;										/* P */
		*destn++ = (rot_c * k) * my / 128 + rot_c2 + ry * 10;	/* MY */
		*destn++ = rot_c * mx / 2;							/* DX */
		*destn = rot_s / (-2);							/* DY */
		destn += 4;
	}
}
